org.apache.cassandra.notifications

## Class SSTableDeletingNotification

- java.lang.Object
- - org.apache.cassandra.notifications.SSTableDeletingNotification

All Implemented Interfaces:
  INotification

    public class SSTableDeletingNotification
    extends java.lang.Object
    implements INotification

Fired right before removing an SSTable.

### Field Summary

Fields
`SSTableReader` `deleting`

### Constructor Summary

Constructors
Constructor and Description
`SSTableDeletingNotification(SSTableReader deleting)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### deleting

    public final SSTableReader deleting

### Constructor Detail

#### SSTableDeletingNotification

    public SSTableDeletingNotification(SSTableReader deleting)